<?php

namespace App\Http\Controllers;

use App\Models\Programs;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller as BaseController;

class ProgramQueryController extends BaseController
{
    public function index(Request $request) {
        $keyword = $request->get("keyword", "");
        $programs = Programs::query()->with(["appends", "video_pivots.video"])->where("status", "=", 1)->limit(15)->orderByDesc("created_at")->get();
        return view("program.index", [
            "keyword" => $keyword,
            "programs"=>$programs,
        ]);
    }
}
