<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Programs extends Model
{
    protected $fillable = ["name", "difficulty", "desc"];
    protected $dateFormat = 'U';
    public function appends(): \Illuminate\Database\Eloquent\Relations\HasMany
    {
        return $this->hasMany(ProgramAppends::class, "program_id", "id")->orderByDesc("is_original");
    }

    public function video_pivots(): \Illuminate\Database\Eloquent\Relations\HasMany
    {
        return $this->hasMany(ProgramVideos::class, "program_id", "id");
    }

    public function videos(): \Illuminate\Database\Eloquent\Relations\HasManyThrough
    {
        return $this->hasManyThrough(Videos::class, ProgramVideos::class, "program_id", "bvid", "id", "video_bvid");
    }
}
