<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ asset('css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<table class="table-auto border-collapse w-full lg:border lg:border-black">
    <thead>
    <tr class="border border-black sticky bg-white lg:static top-0 left-0 right-0">
        <td>BVID</td>
        <td>节目开始时间</td>
        <td>节目开始时的画面</td>
        <td>节目结束时的画面</td>
        <td>操作</td>
    </tr>
    </thead>
    <tbody>
    @foreach($videos as $video_pivot)
        <tr>
            <td>
                <a class="text-purple-600 underline" target="_blank"
                   href="https://www.bilibili.com/video/{{$video_pivot->video_bvid}}?p={{$video_pivot->start_part}}&t={{$video_pivot->start_sec}}"
                   title="P{{$video_pivot->start_part}}#{{$video_pivot->start_time}}"
                >{{$video_pivot->video_bvid}}</a>
            </td>
            <td>P{{$video_pivot->start_part}} {{$video_pivot->start_time}}</td>
            <td>
                @if($video_pivot->start_image)
                    <img width="300" src="{{$video_pivot->start_image}}" alt="开始时的画面">
                @else
                    <div>暂无</div>
                @endif
            </td>
            <td>
                @if($video_pivot->stop_image)
                    <img width="300" src="{{$video_pivot->stop_image}}" alt="结束时的画面">
                @else
                    <div>暂无</div>
                @endif
            </td>
            <td>
                <a class="text-blue-600 underline"
                   href="{{route("program.construct.video.edit", ["program_video" => $video_pivot->id])}}">编辑</a>
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
@include("common.footer")
</body>
</html>
